]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
setup.sh: use set -eu
[config/dotfiles.git] / setup.sh
index 15c521ece25c838b91180b5aedeb783de3af0eeb..3515b06e5f7bde25d3d580b51d84a3a1d6d4a437 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 . ../lib.sh
 
+
 # gdb, GNU debugger.
 if installed gdb; then
-    link gdbinit ~/.gdbinit
+    link gdb/gdbinit ~/.gdbinit
 fi
 
 # Powerful FTP client.
@@ -37,7 +38,7 @@ if installed maxima; then
     link maxima ~/.maxima
 fi
 
-# MySQL client
+# MySQL client.
 if installed mysql; then
     link mysql/my.cnf ~/.my.cnf
 fi